REST APIWallet & TransactAddress

POST

This API call is to manually deploy an ETH address

Path Params

  • coin string required
    A cryptocurrency symbol or token ticker symbol
  • walletId string required

    matches ^[0-9a-f]{32}$

  • addressId string required
    Address or Id which will be used for information lookup

Body Params

object

  • forceDeploy boolean
    Use forceDeploy: true to deploy the forwarder even if pendingDeployment flag is set as false

    Defaults to false

  • gasPrice number
    Explicit gas price to use when deploying the forwarder contract (ETH only). If not given, defaults to the current estimated network gas price.
  • eip1559 object
    Specify eip1559 fee parameters in forwarder creation transactions.
    eip1559 object
    • maxFeePerGas number required
      Max total gasPrice for EIP1559 transactions. Only for ETH and ERC20 tokens.
    • maxPriorityFeePerGas number required
      Max priority tip price for EIP1559 transactions. Only for ETH and ERC20 tokens.

Responses

200
OK

Response Body

object

  • txId string required
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id